diff --git a/t3lib/class.t3lib_tsparser_ext.php b/t3lib/class.t3lib_tsparser_ext.php
index fe9a1e7..e6f4891 100644
--- t3lib/class.t3lib_tsparser_ext.php
+++ t3lib/class.t3lib_tsparser_ext.php
@@ -625,9 +625,9 @@ class t3lib_tsparser_ext extends t3lib_TStemplate	{
 			$RL = $this->ext_getRootlineNumber($row['pid']);
 			$keyArray[] = '<tr class="' . ($i++ % 2 == 0 ? 'bgColor4' : 'bgColor6') . '">
 							<td nowrap>' . $HTML . '</td>
-							<td align="center" class="bgColor5">' . ($row['root'] ? '<img' . t3lib_iconWorks::skinImg($GLOBALS['BACK_PATH'], 'gfx/perm-allowed.gif', 'width="10" height="9"') . ' align="top" alt="" />' : '') . '&nbsp;&nbsp;</td>
-							<td align="center">' . fw(($row['clConf'] ? '<img' . t3lib_iconWorks::skinImg($GLOBALS['BACK_PATH'],'gfx/perm-allowed.gif', 'width="10" height="9"') . ' align="top" alt="" />' :'') . '&nbsp;&nbsp;') . '</td>
-							<td align="center" class="bgColor5">' . fw(($row['clConst'] ? '<img' . t3lib_iconWorks::skinImg($GLOBALS['BACK_PATH'], 'gfx/perm-allowed.gif', 'width="10" height="9"') . ' align="top" alt="" />' : '') . '&nbsp;&nbsp;') . '</td>
+							<td align="center" class="bgColor5">' . ($row['root'] ? t3lib_iconWorks::getSpriteIcon('status-permission-granted') : '') . '&nbsp;&nbsp;</td>
+							<td align="center">' . fw(($row['clConf'] ? t3lib_iconWorks::getSpriteIcon('status-permission-granted') : '') . '&nbsp;&nbsp;') . '</td>
+							<td align="center" class="bgColor5">' . fw(($row['clConst'] ? t3lib_iconWorks::getSpriteIcon('status-permission-granted') : '') . '&nbsp;&nbsp;') . '</td>
 							<td align="center">' . ($row['pid'] ? $row['pid'] : '') . '</td>
 							<td align="center" class="bgColor5">' . (strcmp($RL, '') ? $RL : '') . '</td>
 							<td>' . ($row['next'] ? '&nbsp;' . $row['next'] . '&nbsp;&nbsp;' : '') . '</td>
@@ -1329,7 +1329,7 @@ class t3lib_tsparser_ext extends t3lib_TStemplate	{
 								}
 
 								if ($copyFile && @is_file($copyFile))	{
-									$p_field .= '<img src="clear.gif" width="20" ' . 'height="1" alt="" /><img' . t3lib_iconWorks::skinImg($GLOBALS['BACK_PATH'], 'gfx/clip_copy.gif', 'width="12" height="12"') . ' border="0" alt="" /><input type="checkbox" ' . 'name="_copyResource[' . $params['name'] . ']" value="' . htmlspecialchars($copyFile) . '" onclick="uFormUrl(' . $aname . ');if (this.checked && !confirm(\'' . t3lib_div::slashJS(htmlspecialchars(sprintf($GLOBALS['LANG']->sL('LLL:EXT:lang/locallang_tsparser.xml:tsparser_ext.make_copy'), $params['value']))) . '\')) this.checked=false;" />';
+									$p_field .= '<img src="clear.gif" width="20" ' . 'height="1" alt="" />' . t3lib_iconWorks::getSpriteIcon('actions-edit-copy') . ' border="0" alt="" /><input type="checkbox" ' . 'name="_copyResource[' . $params['name'] . ']" value="' . htmlspecialchars($copyFile) . '" onclick="uFormUrl(' . $aname . ');if (this.checked && !confirm(\'' . t3lib_div::slashJS(htmlspecialchars(sprintf($GLOBALS['LANG']->sL('LLL:EXT:lang/locallang_tsparser.xml:tsparser_ext.make_copy'), $params['value']))) . '\')) this.checked=false;" />';
 								}
 
 								// Upload?
diff --git a/typo3/alt_db_navframe.php b/typo3/alt_db_navframe.php
index 6136519..fc22678 100644
--- typo3/alt_db_navframe.php
+++ typo3/alt_db_navframe.php
@@ -286,10 +286,14 @@ class SC_alt_db_navframe {
 
 			// New Page
 		$onclickNewPageWizard = 'top.content.list_frame.location.href=top.TS.PATH_typo3+\'db_new.php?pagesOnly=1&amp;id=\'+Tree.pageID;';
-		$buttons['new_page'] = '<a href="#" onclick="' . $onclickNewPageWizard . '"><img' . t3lib_iconWorks::skinImg('', 'gfx/new_page.gif') . ' title="' . $LANG->sL('LLL:EXT:cms/layout/locallang.xml:newPage', 1) . '" alt="" /></a>';
+		$buttons['new_page'] = '<a href="#" onclick="' . $onclickNewPageWizard . '" title="' . $LANG->sL('LLL:EXT:cms/layout/locallang.xml:newPage', 1) . '">' .
+				t3lib_iconWorks::getSpriteIcon('actions-page-new') . 
+			'</a>';
 
 			// Refresh
-		$buttons['refresh'] = '<a href="' . htmlspecialchars(t3lib_div::getIndpEnv('REQUEST_URI')) . '"><img' . t3lib_iconWorks::skinImg('', 'gfx/refresh_n.gif') . ' title="' . $LANG->sL('LLL:EXT:lang/locallang_core.php:labels.refresh', 1) . '" alt="" /></a>';
+		$buttons['refresh'] = '<a href="' . htmlspecialchars(t3lib_div::getIndpEnv('REQUEST_URI')) . '" title="' . $LANG->sL('LLL:EXT:lang/locallang_core.php:labels.refresh', 1) . '">' .
+				t3lib_iconWorks::getSpriteIcon('actions-system-refresh') . 
+			'</a>';
 
 			// CSH
 		$buttons['csh'] = str_replace('typo3-csh-inline','typo3-csh-inline show-right',t3lib_BEfunc::cshItem('xMOD_csh_corebe', 'pagetree', $GLOBALS['BACK_PATH'], '', TRUE));
@@ -321,7 +325,7 @@ class SC_alt_db_navframe {
 			$workspaceInfo = '
 				<div class="bgColor4 workspace-info">
 					<a href="'.htmlspecialchars('mod/user/ws/index.php').'" target="content">'.
-					'<img'.t3lib_iconWorks::skinImg('','gfx/i/sys_workspace.png','width="18" height="16"').' align="top" alt="" />'.
+					  t3lib_iconWorks::getSpriteIcon('status-workspace-draft') . 
 					'</a>'.$wsTitle.'
 				</div>
 			';
diff --git a/typo3/alt_doc.php b/typo3/alt_doc.php
index 4541eae..e5a0e87 100644
--- typo3/alt_doc.php
+++ typo3/alt_doc.php
@@ -849,8 +849,8 @@ class SC_alt_doc {
 		}
 
 			// CLOSE button:
-		$buttons['close'] = '<a href="#" onclick="document.editform.closeDoc.value=1; document.editform.submit(); return false;">'.
-				'<img'.t3lib_iconWorks::skinImg($this->doc->backPath,'gfx/closedok.gif','width="21" height="16"').' class="c-inputButton" title="'.$LANG->sL('LLL:EXT:lang/locallang_core.php:rm.closeDoc',1).'" alt="" />'.
+		$buttons['close'] = '<a href="#" onclick="document.editform.closeDoc.value=1; document.editform.submit(); return false;" title="'.$LANG->sL('LLL:EXT:lang/locallang_core.php:rm.closeDoc',1).'">'.
+					t3lib_iconWorks::getSpriteIcon('actions-document-close') . 
 				'</a>';
 
 
@@ -861,8 +861,8 @@ class SC_alt_doc {
 					// Delete:
 				if ($this->firstEl['deleteAccess'] && !$TCA[$this->firstEl['table']]['ctrl']['readOnly'] && !$this->getNewIconMode($this->firstEl['table'],'disableDelete')) {
 					$aOnClick = 'return deleteRecord(\''.$this->firstEl['table'].'\',\''.$this->firstEl['uid'].'\',unescape(\''.rawurlencode($this->retUrl).'\'));';
-					$buttons['delete'] = '<a href="#" onclick="'.htmlspecialchars($aOnClick).'">'.
-							'<img'.t3lib_iconWorks::skinImg($this->doc->backPath,'gfx/deletedok.gif','width="21" height="16"').' class="c-inputButton" title="'.$LANG->getLL('deleteItem',1).'" alt="" />'.
+					$buttons['delete'] = '<a href="#" onclick="'.htmlspecialchars($aOnClick).'" title="'.$LANG->getLL('deleteItem',1).'">'.
+							t3lib_iconWorks::getSpriteIcon('actions-edit-delete') . 
 							'</a>';
 				}
 
@@ -870,26 +870,23 @@ class SC_alt_doc {
 				$undoRes = $GLOBALS['TYPO3_DB']->exec_SELECTquery('tstamp', 'sys_history', 'tablename='.$GLOBALS['TYPO3_DB']->fullQuoteStr($this->firstEl['table'], 'sys_history').' AND recuid='.intval($this->firstEl['uid']), '', 'tstamp DESC', '1');
 				if ($undoButtonR = $GLOBALS['TYPO3_DB']->sql_fetch_assoc($undoRes))	{
 					$aOnClick = 'window.location.href=\'show_rechis.php?element='.rawurlencode($this->firstEl['table'].':'.$this->firstEl['uid']).'&revert=ALL_FIELDS&sumUp=-1&returnUrl='.rawurlencode($this->R_URI).'\'; return false;';
-					$buttons['undo'] = '<a href="#" onclick="'.htmlspecialchars($aOnClick).'">'.
-						'<img' .
-							t3lib_iconWorks::skinImg($this->doc->backPath, 'gfx/undo.gif', 'width="21" height="16"') .
-							' class="c-inputButton"' .
-							' title="' . htmlspecialchars(sprintf($LANG->getLL('undoLastChange'), t3lib_BEfunc::calcAge($GLOBALS['EXEC_TIME'] - $undoButtonR['tstamp'], $LANG->sL('LLL:EXT:lang/locallang_core.php:labels.minutesHoursDaysYears')))) .
-							'" alt="" />' .
+					$buttons['undo'] = '<a href="#" onclick="'.htmlspecialchars($aOnClick).'"'.
+						' title="' . htmlspecialchars(sprintf($LANG->getLL('undoLastChange'), t3lib_BEfunc::calcAge($GLOBALS['EXEC_TIME'] - $undoButtonR['tstamp'], $LANG->sL('LLL:EXT:lang/locallang_core.php:labels.minutesHoursDaysYears')))) . '">' .
+							t3lib_iconWorks::getSpriteIcon('actions-edit-undo') . 
 						'</a>';
 				}
 				if ($this->getNewIconMode($this->firstEl['table'],'showHistory'))	{
 					$aOnClick = 'window.location.href=\'show_rechis.php?element='.rawurlencode($this->firstEl['table'].':'.$this->firstEl['uid']).'&returnUrl='.rawurlencode($this->R_URI).'\'; return false;';
 					$buttons['history'] = '<a href="#" onclick="'.htmlspecialchars($aOnClick).'">'.
-							'<img'.t3lib_iconWorks::skinImg($this->doc->backPath,'gfx/history2.gif','width="13" height="12"').' class="c-inputButton" alt="" />'.
-							'</a>';
+							t3lib_iconWorks::getSpriteIcon('actions-document-history-open') . 
+						'</a>';
 				}
 
 					// If only SOME fields are shown in the form, this will link the user to the FULL form:
 				if ($this->columnsOnly)	{
-					$buttons['columns_only'] = '<a href="'.htmlspecialchars($this->R_URI.'&columnsOnly=').'">'.
-							'<img'.t3lib_iconWorks::skinImg($this->doc->backPath,'gfx/edit2.gif','width="11" height="12"').' class="c-inputButton" title="'.$LANG->getLL('editWholeRecord',1).'" alt="" />'.
-							'</a>';
+					$buttons['columns_only'] = '<a href="'.htmlspecialchars($this->R_URI.'&columnsOnly=').'" title="'.$LANG->getLL('editWholeRecord',1).'">'.
+							t3lib_iconWorks::getSpriteIcon('actions-edit-edit') .
+						'</a>';
 				}
 			}
 		}
@@ -1005,8 +1002,9 @@ class SC_alt_doc {
 			return '';
 		}
 		$aOnClick = 'vHWin=window.open(\''.t3lib_div::linkThisScript(array('returnUrl'=>'close.html')).'\',\''.md5($this->R_URI).'\',\'width=670,height=500,status=0,menubar=0,scrollbars=1,resizable=1\');vHWin.focus();return false;';
-		return '<a href="#" onclick="'.htmlspecialchars($aOnClick).'">'.
-				'<img'.t3lib_iconWorks::skinImg($this->doc->backPath,'gfx/open_in_new_window.gif','width="19" height="14"').' title="'.$LANG->sL('LLL:EXT:lang/locallang_core.php:labels.openInNewWindow',1).'" alt="" /></a>';
+		return '<a href="#" onclick="'.htmlspecialchars($aOnClick).'" title="'.$LANG->sL('LLL:EXT:lang/locallang_core.php:labels.openInNewWindow',1).'">'.
+				t3lib_iconWorks::getSpriteIcon('actions-window-open') .
+			'</a>';
 	}
 
 
diff --git a/typo3/alt_file_navframe.php b/typo3/alt_file_navframe.php
index 6a42563..8607301 100644
--- typo3/alt_file_navframe.php
+++ typo3/alt_file_navframe.php
@@ -274,7 +274,8 @@ class SC_alt_file_navframe {
 
 			// Refresh
 		$buttons['refresh'] = '<a href="' . htmlspecialchars(t3lib_div::getIndpEnv('REQUEST_URI')) . '">' .
-				'<img' . t3lib_iconWorks::skinImg('','gfx/refresh_n.gif','width="14" height="14"') . ' title="' . $GLOBALS['LANG']->sL('LLL:EXT:lang/locallang_core.php:labels.refresh',1) . '" alt="" /></a>';
+				t3lib_iconWorks::getSpriteIcon('actions-system-refresh') . 
+		'</a>';
 
 			// CSH
 		$buttons['csh'] = str_replace('typo3-csh-inline','typo3-csh-inline show-right',t3lib_BEfunc::cshItem('xMOD_csh_corebe', 'filetree', $GLOBALS['BACK_PATH']));
diff --git a/typo3/alt_palette.php b/typo3/alt_palette.php
index 60a9115..7a9be7e 100644
--- typo3/alt_palette.php
+++ typo3/alt_palette.php
@@ -115,7 +115,7 @@ class formRender extends t3lib_TCEforms {
 			<table border="0" cellpadding="0" cellspacing="0" id="typo3-TCEforms-palette">
 				<tr>
 					<td class="c-close">'.
-					'<a href="#" onclick="closePal();return false;"><img'.t3lib_iconWorks::skinImg('','gfx/close_12h.gif','width="11" height="12"').' title="'.$GLOBALS['LANG']->sL('LLL:EXT:lang/locallang_core.php:labels.close',1).'" alt="" /></a>'.
+					'<a href="#" onclick="closePal();return false;">' . t3lib_iconWorks::getSpriteIcon('actions-document-close') . '</a>'.
 					'</td>'.
 				implode('',$iRow).'
 				</tr>
diff --git a/typo3/class.alt_menu_functions.inc b/typo3/class.alt_menu_functions.inc
index 1667aa7..259d898 100644
--- typo3/class.alt_menu_functions.inc
+++ typo3/class.alt_menu_functions.inc
@@ -213,7 +213,7 @@ class alt_menu_functions {
 				// make menu collapsable
 			if($collapsable == 1 && is_array($moduleInfo['sub'])) {
 				$collapseJS = 'onclick="window.location.href=\'alt_menu.php?collapsedOverride['.$moduleName.']='.($config[$moduleName] ? '0' : '1').'\'"';
-				$collapseIcon = '<span class="c-iconCollapse"><img'.t3lib_iconWorks::skinImg($backPath,'gfx/ol/'.($config[$moduleName] ? 'plusbullet.gif':'minusbullet.gif'),'width="18" height="16"').' title="" alt="" /></span>';
+				$collapseIcon = t3lib_iconWorks::getSpriteIcon('actions-view-table-' . ($config[$moduleName]) ? 'expand' : 'collapse', array('class' => 'c-iconCollapse') ) . '</span>';
 			} else {
 				$collapseJS = $collapseIcon = '';
 			}
